.contact__cards__container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    height: 100%;
    width: 100%;
}

.contact__cards__container > div {
    width: auto;
}

.contact__card {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: fit-content;
    gap: 0;
    width: 100%;
    padding: 0 !important;
    /* min-width: 260px; */
}

.contact__company__logo {
    width: 50%;
    max-height: 72px;
    margin-top: 0.5rem;
    max-width: 200px;
}

.contact__photo__container {
    width: clamp(80px, 15vw, 160px);
    aspect-ratio: 1 / 1;
    display: block;
    margin: 0 auto;
    border: solid 5px var(--contact-card-photo-border);
    border-radius: 50%;
    object-fit: cover;
    overflow: hidden;
}
.contact__photo {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.3s ease;
}

body.hasHover .contact__card:hover .contact__photo {
    transform: scale(110%);
}

.contact__card__top {
    width: 100%;
    background-color: transparent;
    flex-direction: column;
    display: flex;
    justify-content: center;
    align-items: center;
}

.contact__card__bottom {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: var(--contact-card-bg);
    padding: 1rem;
    position: relative;
    width: fit-content;
    height: auto;
    margin: 0;
    border-radius: 16px;
    font-size: 14px;
    backdrop-filter: blur(4px);
    outline: 5px solid rgba(125, 125, 125, 0.05);
    border-bottom: 3px solid var(--contact-card-border);
    gap: 0.5rem;
    width: 100%;
}

.contact__card__bottom div {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.3rem;
}

.contact__shortened__line a {
    display: inline-block;
    white-space: nowrap;
    max-width: 5.5em;
    text-overflow: ellipsis;
    overflow: hidden;
    vertical-align: bottom;
    transition: max-width 1s !important;
    cursor: pointer;
    font-size: 1.2rem;
}
.contact__shortened__line a[href^="mailto"] {
    font-size: 1rem;
}
.contact__shortened__line a.opened {
    max-width: 40em;
}

/* icons */
.contact__card__bottom .email::before,
.contact__card__bottom .phone::before {
    content: "";
    position: relative;
    width: 1.2rem;
    height: 1.2rem;
    mask-size: 100%;
    mask-repeat: no-repeat;
    mask-position: center;
    background-color: var(--link-normal);
}
.contact__card__bottom .phone::before {
    mask-image: var(--iconPhone);
}
.contact__card__bottom .email::before {
    mask-image: var(--iconEmail);
}
body.hasHover .contact__card__bottom .email:hover::before,
body.hasHover .contact__card__bottom .phone:hover::before {
    background-color: var(--link-hover);
}

.contact__company__website {
    text-align: center;
}
.contact__position {
    margin-bottom: 1rem;
}
.contact__card h3 {
    margin: 1rem 0;
}
